Rayleigh {VGAM} | R Documentation

## The Rayleigh Distribution

### Description

Density, distribution function, quantile function and random generation for the Rayleigh distribution with parameter `a`.

### Usage

    drayleigh(x, scale = 1, log = FALSE)
    prayleigh(q, scale = 1, lower.tail = TRUE, log.p = FALSE)
    qrayleigh(p, scale = 1, lower.tail = TRUE, log.p = FALSE)
    rrayleigh(n, scale = 1)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. Fed into `runif`.
`scale` | the scale parameter b.
`log` | Logical. If `log = TRUE` then the logarithm of the density is returned.
`lower.tail, log.p` | Same meaning as in `pnorm` or `qnorm`.

### Details

See `rayleigh`, the VGAM family function for estimating the scale parameter b by maximum likelihood estimation, for the formula of the probability density function and range restrictions on the parameter b.

### Value

`drayleigh` gives the density, `prayleigh` gives the distribution function, `qrayleigh` gives the quantile function, and `rrayleigh` generates random deviates.

### Note

The Rayleigh distribution is related to the Maxwell distribution.

### Author(s)

T. W. Yee and Kai Huang

### References

Forbes, C., Evans, M., Hastings, N. and Peacock, B. (2011) Statistical Distributions, Hoboken, NJ, USA: John Wiley and Sons, Fourth edition.

### See Also

`rayleigh`, `maxwell`.

### Examples

    ## Not run:  Scale <- 2; x <- seq(-1, 8, by = 0.1)
    plot(x, drayleigh(x, scale = Scale), type = "l", ylim = c(0,1),
         las = 1, ylab = "",
         main = "Rayleigh density divided into 10 equal areas; orange = cdf")
    abline(h = 0, col = "blue", lty = 2)
    qq <- qrayleigh(seq(0.1, 0.9, by = 0.1), scale = Scale)
    lines(qq, drayleigh(qq, scale = Scale), col = "purple", lty = 3, type = "h")
    lines(x, prayleigh(x, scale = Scale), col = "orange")
    ## End(Not run)

[Package VGAM version 1.0-4 Index]